Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:        Real-time transport protocol stack
Name:      	ortp
Version:   	0.13.1
Release:   	1
Provides:	ortp
License: 	GNU/LGPL
URL:		http://linphone.org/ortp/
Group:     	Development/Other
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel 

%description
oRTP was primarily written to be the RTP stack for linphone, a SIP compatible internet phone for linux

Implement the RFC3550 (RTP) with a easy to use API with high and low level access.
Includes support for multiples profiles, AV profile (RFC1890) being the one by default.
Includes a packet scheduler for synchronizing rtp recv and send. Scheduling is optionnal, rtp sessions can remain not scheduled.
Implements blocking and non blocking IO for RTP sessions.
Supports mutiplexing IO, so that hundreds of RTP sessions can be managed by a single thread.
Supports part of RFC2833 for telephone events over RTP.
The API is well documented using gtk-doc.
Licensed under the Lesser Gnu Public License.
RTCP messages sent periodically since 0.7.0 (compound packet including sender report or receiver report + SDES)

%package devel
Summary:        ortp development headers.
Group:          Development/Other
Requires:       ortp = %{version}-%{release}

%description devel
Header and include files for developing applications with ortp.


%prep
%setup -n %{name}-%{version}


%build
./configure --prefix=%{_prefix} --mandir=%{_mandir}
make 

%install
make install DESTDIR=$RPM_BUILD_ROOT

find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/libortp.so*
%{_libdir}/pkgconfig
%{_datadir}/*

%files devel
%defattr(-,root,root)
%{_libdir}/libortp.a
%{_libdir}/libortp.la
%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Oct 22 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.13.1-1
- version update
* Tue Sep 19 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.11.0-1
- version update
* Sun Aug 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.1-1
- version update
* Fri Jan 06 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.8.1-1
- Initial Release
